
From: Paolo 'Blaisorblade' Giarrusso <blaisorblade@yahoo.it>

Until now, FRAME_POINTER was set = DEBUG_INFO for UML.  Change it to be the
default way, so that it can be enabled alone (for instance to get better
backtraces on crashes).  The call-trace dumper which uses the frame pointer is
not yet in, I'm going to introduce it in a separate patch.

Signed-off-by: Paolo 'Blaisorblade' Giarrusso <blaisorblade@yahoo.it>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/um/Kconfig.debug |    4 ----
 lib/Kconfig.debug     |    3 ++-
 2 files changed, 2 insertions(+), 5 deletions(-)

diff -puN arch/um/Kconfig.debug~uml-split-config_frame_pointer-from-debug_info arch/um/Kconfig.debug
--- 25/arch/um/Kconfig.debug~uml-split-config_frame_pointer-from-debug_info	2005-05-09 18:49:42.000000000 -0700
+++ 25-akpm/arch/um/Kconfig.debug	2005-05-09 18:49:42.000000000 -0700
@@ -2,10 +2,6 @@ menu "Kernel hacking"
 
 source "lib/Kconfig.debug"
 
-config FRAME_POINTER
-	bool
-	default y if DEBUG_INFO
-
 config PT_PROXY
 	bool "Enable ptrace proxy"
 	depends on XTERM_CHAN && DEBUG_INFO && MODE_TT
diff -puN lib/Kconfig.debug~uml-split-config_frame_pointer-from-debug_info lib/Kconfig.debug
--- 25/lib/Kconfig.debug~uml-split-config_frame_pointer-from-debug_info	2005-05-09 18:49:42.000000000 -0700
+++ 25-akpm/lib/Kconfig.debug	2005-05-09 18:49:42.000000000 -0700
@@ -151,7 +151,8 @@ config DEBUG_FS
 
 config FRAME_POINTER
 	bool "Compile the kernel with frame pointers"
-	depends on DEBUG_KERNEL && ((X86 && !X86_64) || CRIS || M68K || M68KNOMMU || FRV)
+	depends on DEBUG_KERNEL && ((X86 && !X86_64) || CRIS || M68K || M68KNOMMU || FRV || UML)
+	default y if DEBUG_INFO && UML
 	help
 	  If you say Y here the resulting kernel image will be slightly larger
 	  and slower, but it will give very useful debugging information.
_
